@import '../../../../styles/mixins';

// local variables
$checkbox-label-font-size: 14px;
$checkbox-label-color: #000;
$checkbox-horizontal-gap: 15px;
$checkbox-vertical-gap: 10px;
$checkbox-disabled-background: #eee;

@mixin direction($direction) {
  @include customAttribute('direction', $direction) {
    @content;
  }
}

:host {
  @include flex();
  user-select: none;

  // horizontal group
  @include direction('horizontal') {
    @include flex(center);

    .tk-checkbox-option {
      // set gap
      & + .tk-checkbox-option {
        margin-left: $checkbox-horizontal-gap;
      }
    }
  }

  // vertical group
  @include direction('vertical') {
    @include flex(flex-start, null, column);

    .tk-checkbox-option {
      // set gap
      & + .tk-checkbox-option {
        margin-top: $checkbox-vertical-gap;
      }
    }
  }

  &.disabled {
    app-checkbox:not(.active) {
      background-color: $checkbox-disabled-background;
    }
  }
}

// checkbox option
.tk-checkbox-option {
  @include flex(center);
  cursor: pointer;
}

// checkbox gap
app-checkbox {
  margin-right: 10px;
}

// checkbox label
.tk-checkbox-label {
  color: $checkbox-label-color;
  font-size: $checkbox-label-font-size;
}
